"use strict";

Object.seal(Object.defineProperties(exports, {
    default: {
        get: function() {
            return src$diff$$default;
        },

        enumerable: true
    }
}));

var round = Math.round;

function daysToYears (days) {
    // 400 years have 146097 days (taking into account leap year rules)
    return days * 400 / 146097;
}

var src$diff$$default = function (dfrom, dto) {
    var millisecond = round(dto.getTime() - dfrom.getTime()),
        second      = round(millisecond / 1000),
        minute      = round(second / 60),
        hour        = round(minute / 60),
        day         = round(hour / 24),
        week        = round(day / 7);

    var rawYears = daysToYears(day),
        month    = round(rawYears * 12),
        year     = round(rawYears);

    return {
        millisecond: millisecond,
        second     : second,
        minute     : minute,
        hour       : hour,
        day        : day,
        week       : week,
        month      : month,
        year       : year
    };
};

//# sourceMappingURL=diff.js.map